$(function () {
    function ValidTemp() {
        var ModelName = $("#ModelName"),
			db_MaxSize = $("#db_MaxSize"),
			allFields = $([])
            .add(ModelName)
            .add(db_MaxSize)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(ModelName, "模版名称", 3, 16);
        bValid = bValid && checkNumlength(db_MaxSize, "数据库容量", 0, 2147483647);
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
});